
 LinHES - Bug # 847: /usr/LH/bin/mythfrontend-start never exits

Status: Closed Priority: Normal
Author: tscholl Category: Packages: Core
Created: 09/04/2012 Assignee: brfransen
Updated: 09/04/2012 Due date:
Description: When starting the frontend using alt-m mythfrontend-start never exits.  This causes a problem for 

pause-mythcommflag.sh.

When this command runs:
top -bn1u mythtv | grep mythfrontend | awk '{ print $9 }'

It returns:
13
0

This causes pause-mythcommflag to get confused and hangs and causes other weird problems 

Once you kill the "/usr/LH/bin/mythfrontend-start" process all is well.
 
top -bn1u mythtv | grep mythfrontend | awk '{ print $9 }'

It returns:
13

and all is well. 

Associated revisions
09/04/2012 02:01 pm - brfransen
LinHES-system: mythfrontend-start: fork start command so that mythfrontend-start will exit. closes #847

09/04/2012 05:58 pm - brfransen
LinHES-system: mythfrontend-start: revert fork of startcmd

Forking startcmd causes MythWelcome to act on remote keypresses when mythfrontend-start quits.

linhes-scripts: pause-mythcommflag.sh: only look for 1 instance of mythfrontend. refs #847

History
09/04/2012 01:53 pm - brfransen
- Assignee set to brfransen

- Target version set to 7.5

- Category set to Packages: Core

09/04/2012 02:03 pm - brfransen
- % Done changed from 0 to 100

- Status changed from New to Closed
Applied in changeset commit:a53f0abbe6f6d2420bb1bd6f6e517bb2ebe2208c.

05/01/2025 2/2


